Does work in Firefox 4 Rated 5 out of 5 stars

Awesome add-on that works perfectly fine with Firefox 4, as long as you disable the compatibility check (extensions.checkCompatibility.4.0, extensions.checkCompatibility.4.0b and/or extensions.checkCompatibility.4.0pre set to false).

This user has a previous review of this add-on.